VTK: vtkGPUInfo Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkGPUInfo Class Reference

Stores GPU VRAM information. More...

`#include <vtkGPUInfo.h>`

Inheritance diagram for vtkGPUInfo:
[legend]
Collaboration diagram for vtkGPUInfo:
[legend]

## Public Types
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkGPUInfo * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | SetDedicatedVideoMemory (vtkTypeUInt64)
| Set/Get dedicated video memory in bytes. More...
virtual vtkTypeUInt64 | GetDedicatedVideoMemory ()
| Set/Get dedicated video memory in bytes. More...
virtual void | SetDedicatedSystemMemory (vtkTypeUInt64)
| Set/Get dedicated system memory in bytes. More...
virtual vtkTypeUInt64 | GetDedicatedSystemMemory ()
| Set/Get dedicated system memory in bytes. More...
virtual void | SetSharedSystemMemory (vtkTypeUInt64)
| Set/Get shared system memory in bytes. More...
virtual vtkTypeUInt64 | GetSharedSystemMemory ()
| Set/Get shared system memory in bytes. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkGPUInfo * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkGPUInfo * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkGPUInfo ()
| ~vtkGPUInfo () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
vtkTypeUInt64 | DedicatedVideoMemory
vtkTypeUInt64 | DedicatedSystemMemory
vtkTypeUInt64 | SharedSystemMemory
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

Stores GPU VRAM information.

vtkGPUInfo stores information about GPU Video RAM. An host can have several GPUs. The values are set by vtkGPUInfoList.

See also
  vtkGPUInfoList vtkDirectXGPUInfoList vtkCoreGraphicsGPUInfoList

Definition at line 21 of file vtkGPUInfo.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkObject vtkGPUInfo::Superclass

Definition at line 25 of file vtkGPUInfo.h.

## Constructor & Destructor Documentation

## ◆ vtkGPUInfo()

vtkGPUInfo::vtkGPUInfo | ( |  | ) |
| protected

## ◆ ~vtkGPUInfo()

vtkGPUInfo::~vtkGPUInfo | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkGPUInfo* vtkGPUInfo::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkGPUInfo::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkGPUInfo::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkObjectBase.

## ◆ SafeDownCast()

static vtkGPUInfo* vtkGPUInfo::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkGPUInfo::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

## ◆ NewInstance()

vtkGPUInfo* vtkGPUInfo::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkGPUInfo::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObject.

## ◆ SetDedicatedVideoMemory()

virtual void vtkGPUInfo::SetDedicatedVideoMemory | ( | vtkTypeUInt64 |  | ) |
| virtual

Set/Get dedicated video memory in bytes.

Initial value is 0. Usually the fastest one. If it is not 0, it should be taken into account first and DedicatedSystemMemory or SharedSystemMemory should be ignored.

## ◆ GetDedicatedVideoMemory()

virtual vtkTypeUInt64 vtkGPUInfo::GetDedicatedVideoMemory | ( |  | ) |
| virtual

Set/Get dedicated video memory in bytes.

Initial value is 0. Usually the fastest one. If it is not 0, it should be taken into account first and DedicatedSystemMemory or SharedSystemMemory should be ignored.

## ◆ SetDedicatedSystemMemory()

virtual void vtkGPUInfo::SetDedicatedSystemMemory | ( | vtkTypeUInt64 |  | ) |
| virtual

Set/Get dedicated system memory in bytes.

Initial value is 0. This is slow memory. If it is not 0, this value should be taken into account only if there is no DedicatedVideoMemory and SharedSystemMemory should be ignored.

## ◆ GetDedicatedSystemMemory()

virtual vtkTypeUInt64 vtkGPUInfo::GetDedicatedSystemMemory | ( |  | ) |
| virtual

Set/Get dedicated system memory in bytes.

Initial value is 0. This is slow memory. If it is not 0, this value should be taken into account only if there is no DedicatedVideoMemory and SharedSystemMemory should be ignored.

## ◆ SetSharedSystemMemory()

virtual void vtkGPUInfo::SetSharedSystemMemory | ( | vtkTypeUInt64 |  | ) |
| virtual

Set/Get shared system memory in bytes.

Initial value is 0. Slowest memory. This value should be taken into account only if there is neither DedicatedVideoMemory nor DedicatedSystemMemory.

## ◆ GetSharedSystemMemory()

virtual vtkTypeUInt64 vtkGPUInfo::GetSharedSystemMemory | ( |  | ) |
| virtual

Set/Get shared system memory in bytes.

Initial value is 0. Slowest memory. This value should be taken into account only if there is neither DedicatedVideoMemory nor DedicatedSystemMemory.

## Member Data Documentation

## ◆ DedicatedVideoMemory

vtkTypeUInt64 vtkGPUInfo::DedicatedVideoMemory
| protected

Definition at line 64 of file vtkGPUInfo.h.

## ◆ DedicatedSystemMemory

vtkTypeUInt64 vtkGPUInfo::DedicatedSystemMemory
| protected

Definition at line 65 of file vtkGPUInfo.h.

## ◆ SharedSystemMemory

vtkTypeUInt64 vtkGPUInfo::SharedSystemMemory
| protected

Definition at line 66 of file vtkGPUInfo.h.

The documentation for this class was generated from the following file:

- Rendering/Core/vtkGPUInfo.h